#map $http_x_forwarded_for $limit {
#    default $remote_addr;
#    "~.+" $http_x_forwarded_for;
#}

server {
    listen 80 default_server;
    listen [::]:80 default_server;

    listen 443 default_server;
    listen [::]:443 default_server;

    server_name _;
    server_tokens off;

    root /app/public/;
    index index.html index.htm index.php;

    access_log /dev/stdout main;
    error_log /dev/stderr warn;

    location / {
        try_files $uri $uri/ /index.php$is_args$args;
    }

    location ~ \.php$ {
        fastcgi_hide_header X-Powered-By;

        include fastcgi_params;
        fastcgi_pass php:9000;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
    }

    location ~ /\.ht {
        deny all;
    }
}
